#include "SignalGeneratorZDATimeDto.h"

SignalGeneratorZDATimeDto::SignalGeneratorZDATimeDto(QObject *parent) : DeviceFrameBaseDto(parent)
{

}

QJsonObject SignalGeneratorZDATimeDto::toJSON()
{
    QJsonObject jsonObj;

    QJsonObject dataObj;
    dataObj.insert("zdaTime", zdaTime);
    dataObj.insert("zdaDay", zdaDay);
    dataObj.insert("zdaMon", zdaMon);
    dataObj.insert("zdaYear", zdaYear);
    dataObj.insert("leapSec", leapSec);
    dataObj.insert("valid", valid);

    jsonObj.insert("ts", this->milisecond);
    jsonObj.insert("frameType", this->frameType);
    jsonObj.insert("data", dataObj);

    return jsonObj;
}
